/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*********************************************************************************************** 
 ***                            Confidential - Westwood Studios                              *** 
 *********************************************************************************************** 
 *                                                                                             * 
 *                 Project Name : Commando                                                     * 
 *                                                                                             * 
 *                     $Archive:: /Commando/Code/Combat/combatchunkid.h                       $* 
 *                                                                                             * 
 *                      $Author:: Denzil_l                                                    $* 
 *                                                                                             * 
 *                     $Modtime:: 11/21/01 10:26a                                             $* 
 *                                                                                             * 
 *                    $Revision:: 55                                                          $* 
 *                                                                                             * 
 *---------------------------------------------------------------------------------------------* 
 * Functions:                                                                                  * 
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

#ifndef	COMBATCHUNKID_H
#define	COMBATCHUNKID_H

#ifndef	ALWAYS_H
	#include "always.h"
#endif

#ifndef	SAVELOADIDS_H
	#include "saveloadids.h"
#endif

#ifndef	DEFINITIONCLASSIDS_H
	#include "definitionclassids.h"
#endif



/*
** CHUNKIDs
*/
enum {
	CHUNKID_COMBAT									= CHUNKID_COMBAT_BEGIN,

	CHUNKID_TIMER,
	CHUNKID_TIMER_GAME_OBJ,
	CHUNKID_TIMER_GAME_OBJ_CUSTOM,

	CHUNKID_GAME_OBJECTS_BEGIN					= CHUNKID_COMBAT_BEGIN + 0x100,

	CHUNKID_GAME_OBJECT_BULLET,

	CHUNKID_GAME_OBJECT_C4,
	CHUNKID_GAME_OBJECT_DEF_C4,

	XXXCHUNKID_GAME_OBJECT_COMMANDO,
	XXXCHUNKID_GAME_OBJECT_DEF_COMMANDO,

	CHUNKID_GAME_OBJECT_POWERUP,
	CHUNKID_GAME_OBJECT_DEF_POWERUP,

	CHUNKID_GAME_OBJECT_SAMSITE,
	CHUNKID_GAME_OBJECT_DEF_SAMSITE,

	CHUNKID_GAME_OBJECT_SIMPLE,
	CHUNKID_GAME_OBJECT_DEF_SIMPLE,

	XXXCHUNKID_GAME_OBJECT_SIMPLE3,
	XXXCHUNKID_GAME_OBJECT_DEF_SIMPLE3,

	CHUNKID_GAME_OBJECT_SOLDIER,
	CHUNKID_GAME_OBJECT_DEF_SOLDIER,

	CHUNKID_GAME_OBJECT_VEHICLE,

	CHUNKID_GAME_OBJECT_VISUAL,
	CHUNKID_GAME_OBJECT_TIMED_VISUAL,
	CHUNKID_GAME_OBJECT_ANIMATED_VISUAL,
	CHUNKID_GAME_OBJECT_PROJECTILE_VISUAL,
	CHUNKID_GAME_OBJECT_XXXXXXXXXXXXXXXXX,

	XXXCHUNKID_GAME_OBJECT_TANK,
	XXXCHUNKID_GAME_OBJECT_DEF_TANK,

	XXXCHUNKID_GAME_OBJECT_TURRET,
	XXXCHUNKID_GAME_OBJECT_DEF_TURRET,

	XXXCHUNKID_GAME_OBJECT_BIKE,
	XXXCHUNKID_GAME_OBJECT_DEF_BIKE,

	XXXCHUNKID_GAME_OBJECT_FLYING,
	XXXCHUNKID_GAME_OBJECT_DEF_FLYING,

	XXXCHUNKID_GAME_OBJECT_CAR,
	XXXCHUNKID_GAME_OBJECT_DEF_CAR,

	CHUNKID_SPAWNER,
	CHUNKID_SPAWNER_DEF,

	CHUNKID_GAME_OBJECT_SCRIPT_ZONE,
	CHUNKID_GAME_OBJECT_DEF_SCRIPT_ZONE,

	CHUNKID_GAME_OBJECT_TRANSITION,
	CHUNKID_GAME_OBJECT_DEF_TRANSITION,

	// MISC ITEMS
	CHUNKID_BACKGROUND_MGR,
	CHUNKID_WEAPON_DEF,
	CHUNKID_AMMO_DEF,

	CHUNKID_GAME_OBJECT_DEF_VEHICLE,

	CHUNKID_EXPLOSION_DEF,

	CHUNKID_GAME_OBJECT_CINEMATIC,
	CHUNKID_GAME_OBJECT_DEF_CINEMATIC,

	CHUNKID_GAME_OBJECT_DAMAGE_ZONE,
	CHUNKID_GAME_OBJECT_DEF_DAMAGE_ZONE,

	CHUNKID_GAME_OBJECT_SPECIAL_EFFECTS,
	CHUNKID_GAME_OBJECT_DEF_SPECIAL_EFFECTS,

	CHUNKID_GAME_OBJECT_SAKURA_BOSS,
	CHUNKID_GAME_OBJECT_DEF_SAKURA_BOSS,

	CHUNKID_GAME_OBJECT_BUILDING,
	CHUNKID_GAME_OBJECT_DEF_BUILDING,

	CHUNKID_GAME_OBJECT_BEACON,
	CHUNKID_GAME_OBJECT_DEF_BEACON,
	
	CHUNKID_GAME_OBJECT_REFINERY,
	CHUNKID_GAME_OBJECT_DEF_REFINERY,

	CHUNKID_GAME_OBJECT_POWERPLANT,
	CHUNKID_GAME_OBJECT_DEF_POWERPLANT,

	CHUNKID_GAME_OBJECT_SOLDIER_FACTORY,
	CHUNKID_GAME_OBJECT_DEF_SOLDIER_FACTORY,

	CHUNKID_GAME_OBJECT_VEHICLE_FACTORY,
	CHUNKID_GAME_OBJECT_DEF_VEHICLE_FACTORY,

	CHUNKID_GAME_OBJECT_AIRSTRIP,
	CHUNKID_GAME_OBJECT_DEF_AIRSTRIP,

	CHUNKID_GAME_OBJECT_WARFACTORY,
	CHUNKID_GAME_OBJECT_DEF_WARFACTORY,

	CHUNKID_GAME_OBJECT_COMCENTER,
	CHUNKID_GAME_OBJECT_DEF_COMCENTER,

	CHUNKID_GAME_OBJECT_REPAIR_BAY,
	CHUNKID_GAME_OBJECT_DEF_REPAIR_BAY,

	CHUNKID_MAPMGR,
	CHUNKID_ENCYCLOPEDIAMGR,
	
	CHUNKID_GAME_OBJECT_MENDOZA_BOSS,
	CHUNKID_GAME_OBJECT_DEF_MENDOZA_BOSS,

	CHUNKID_GAME_OBJECT_RAVESHAW_BOSS,
	CHUNKID_GAME_OBJECT_DEF_RAVESHAW_BOSS,

	CHUNKID_GAME_OBJECT_OBSERVERS_BEGIN		= CHUNKID_COMBAT_BEGIN + 0x200,
	CHUNKID_SOLDIER_OBSERVER,
	CHUNKID_BEACON_MONITOR,

	CHUNKID_BUILDINGS_BEGIN						= CHUNKID_COMBAT_BEGIN + 0x301,
	CHUNKID_BUILDING,

	CHUNKID_BUILDINGS_DEF_BEGIN				= CHUNKID_COMBAT_BEGIN + 0x401,
	CHUNKID_BUILDING_DEF,

	CHUNKID_ACTION_CODE_BEGIN					= CHUNKID_COMBAT_BEGIN + 0x500,
	CHUNKID_ACTION_CODE_FOLLOW_INPUT,
	CHUNKID_ACTION_CODE_STAND,
	CHUNKID_ACTION_CODE_GOTO,
	CHUNKID_ACTION_CODE_ENTER_EXIT,
	CHUNKID_ACTION_CODE_ATTACK,
	CHUNKID_ACTION_CODE_PLAY_ANIMATION,
	CHUNKID_ACTION_CODE_FACE_LOCATION,
	CHUNKID_ACTION_CODE_DIVE,
	CHUNKID_ACTION_CODE_CONVERSATION,
	CHUNKID_ACTION_CODE_DOCK,

	CHUNKID_GLOBAL_SETTINGS_DEF				= CHUNKID_COMBAT_BEGIN + 0x600,
	CHUNKID_GLOBAL_SETTINGS_DEF_HUMAN_LOITER,
	CHUNKID_GLOBAL_SETTINGS_DEF_GENERAL,
	CHUNKID_GLOBAL_SETTINGS_DEF_HUD,
	CHUNKID_GLOBAL_SETTINGS_DEF_EVA,
	CHUNKID_GLOBAL_SETTINGS_DEF_CHAR_CLASS,
	CHUNKID_GLOBAL_SETTINGS_DEF_HUMAN_ANIM_OVERRIDE,
	CHUNKID_GLOBAL_SETTINGS_DEF_PURCHASE,
	CHUNKID_GLOBAL_SETTINGS_DEF_TEAM_PURCHASE,
	CHUNKID_GLOBAL_SETTINGS_DEF_CNCMODE,

	CHUNKID_CONVERSATION_MGR					= CHUNKID_COMBAT_BEGIN + 0x700,

	CHUNKID_WEATHER_MGR							= CHUNKID_COMBAT_BEGIN + 0x800,

	CHUNKID_PLAYER_DATA							= CHUNKID_COMBAT_BEGIN + 0x900,
	CHUNKID_PLAYER_DATA_CPLAYER,
};


/*
** Game Object CLASSIDs
*/
enum {
	CLASSID_GAME_OBJECT_DEF_SOLDIER			= 	CLASSID_GAME_OBJECTS + 1,
	XXXCLASSID_GAME_OBJECT_DEF_COMMANDO,
	CLASSID_GAME_OBJECT_DEF_POWERUP,
	CLASSID_GAME_OBJECT_DEF_SIMPLE,
	XXXCLASSID_GAME_OBJECT_DEF_SIMPLE3,
	CLASSID_GAME_OBJECT_DEF_C4,
	CLASSID_GAME_OBJECT_DEF_SAMSITE,
	XXCLASSID_GAME_OBJECT_DEF_TANK,
	XXCLASSID_GAME_OBJECT_DEF_TURRET,
	XXCLASSID_GAME_OBJECT_DEF_BIKE,
	XXCLASSID_GAME_OBJECT_DEF_FLYING,
	XXCLASSID_GAME_OBJECT_DEF_CAR,

	CLASSID_SPAWNER_DEF,

	CLASSID_GAME_OBJECT_DEF_SCRIPT_ZONE,
	CLASSID_GAME_OBJECT_DEF_TRANSITION,

	CLASSID_GAME_OBJECT_DEF_VEHICLE,
	CLASSID_GAME_OBJECT_DEF_CINEMATIC,

	CLASSID_GAME_OBJECT_DEF_DAMAGE_ZONE,
	CLASSID_GAME_OBJECT_DEF_SPECIAL_EFFECTS,
	CLASSID_GAME_OBJECT_DEF_SAKURA_BOSS,
	XXXCLASSID_GAME_OBJECT_DEF_BUILDING,
	CLASSID_GAME_OBJECT_DEF_BEACON,
	CLASSID_GAME_OBJECT_DEF_MENDOZA_BOSS,
	CLASSID_GAME_OBJECT_DEF_RAVESHAW_BOSS

	// MISC DEFINITIONS
};


/*
** Munitions CLASSIDs
*/
enum {	
	CLASSID_DEF_WEAPON			= 	CLASSID_MUNITIONS + 1,
	CLASSID_DEF_AMMO,
	CLASSID_DEF_EXPLOSION,
};

/*
** Building CLASSIDs
*/
enum {	
	CLASSID_GAME_OBJECT_DEF_BUILDING					= 	CLASSID_BUILDINGS + 1,

	CLASSID_GAME_OBJECT_DEF_REFINERY,
	CLASSID_GAME_OBJECT_DEF_POWERPLANT,
	CLASSID_GAME_OBJECT_DEF_SOLDIER_FACTORY,
	CLASSID_GAME_OBJECT_DEF_VEHICLE_FACTORY,
	CLASSID_GAME_OBJECT_DEF_AIRSTRIP,
	CLASSID_GAME_OBJECT_DEF_WARFACTORY,
	CLASSID_GAME_OBJECT_DEF_COMCENTER,
	CLASSID_GAME_OBJECT_DEF_REPAIR_BAY,

};

/*
** GlobalSettings CLASSIDs
*/
enum {	
	CLASSID_GLOBAL_SETTINGS_DEF			= 	CLASSID_GLOBAL_SETTINGS + 1,
	CLASSID_GLOBAL_SETTINGS_DEF_HUMAN_LOITER,
	CLASSID_GLOBAL_SETTINGS_DEF_GENERAL,
	CLASSID_GLOBAL_SETTINGS_DEF_HUD,
	CLASSID_GLOBAL_SETTINGS_DEF_EVA,
	CLASSID_GLOBAL_SETTINGS_DEF_CHAR_CLASS,
	CLASSID_GLOBAL_SETTINGS_DEF_HUMAN_ANIM_OVERRIDE,
	CLASSID_GLOBAL_SETTINGS_DEF_PURCHASE,
	CLASSID_GLOBAL_SETTINGS_DEF_TEAM_PURCHASE,
	CLASSID_GLOBAL_SETTINGS_DEF_CNCMODE,
};



#endif	//	COMBATCHUNKID_H
