/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/******************************************************************************
*
* FILE
*     Mission1.h
*
* DESCRIPTION
*     Mission 1 definitions
*
* PROGRAMMER
*     Design Team
*
* VERSION INFO
*     $Author: Joe_g $
*     $Revision: 124 $
*     $Modtime: 1/14/02 10:14a $
*     $Archive: /Commando/Code/Scripts/Mission1.h $
*
******************************************************************************/

#ifndef _MISSION1_H_
#define _MISSION1_H_


// Defines and Includes

#include "toolkit.h"


// Predefined Constants
#define M01_CHURCH_OBJECTIVE_JDG				100
#define M01_HARVESTER_OBJECTIVE_JDG				101
#define	M01_GDI_BASE_COMMANDER_OBJECTIVE_JDG	102
#define M01_HON_OBJECTIVE_JDG					103
#define M01_FIRST_NOD_COMMANDER_OBJECTIVE_JDG	104
#define M01_HON_SAM_OBJECTIVE_JDG				105
#define M01_PRISONER_OBJECTIVE_JDG				106
#define M01_UNLOCK_GATE_OBJECTIVE_JDG			107
#define M01_COMM_SAM_OBJECTIVE_JDG				108
#define M01_TURRETS_OBJECTIVE_JDG				109
#define M01_BARN_OBJECTIVE_JDG					110
//#define M01_SNIPER_OBJECTIVE_JDG				111
#define M01_BARN_ROUNDUP_OBJECTIVE_JGD			112
#define M01_OPEN_THE_GATE_JDG					113
#define	M01_GDI_BASE_POW_OBJECTIVE_JDG			114
#define M01_MISSION_POG_CONTROLLER_JDG			105828

#define M01_MISSION_CONTROLLER_JDG				100376
#define M01_MISSION_POG_CONTROLLER_JDG			105828
#define M01_AMBIENT_SOUND_CONTROLLER_JDG		100253
#define M01_NOD_BUGGY_01_JDG					102471
#define M01_NOD_BUGGY_02_JDG					102472
#define M01_EVAC_PRIORITY_JDG					90
#define M01_EASY_DIFFICULTY_HOMERANGE_JDG		5
#define M01_MEDIUM_DIFFICULTY_HOMERANGE_JDG		20
#define M01_HARD_DIFFICULTY_HOMERANGE_JDG		45
#define M01_EASY_DIFFICULTY_AGGRESSION_JDG		0.25f
#define M01_MEDIUM_DIFFICULTY_AGGRESSION_JDG	0.5f
#define M01_HARD_DIFFICULTY_AGGRESSION_JDG		1
#define M01_EASY_DIFFICULTY_TAKECOVER_JDG		1
#define M01_MEDIUM_DIFFICULTY_TAKECOVER_JDG		0.5f
#define M01_HARD_DIFFICULTY_TAKECOVER_JDG		0

#define M01_GDI_CONYARD_JDG						157976
#define M01_GDI_POWERPLANT_JDG					157977
#define	M01_GDIBASE_GT1_NOD_LEADER_JDG			103303
#define	M01_GDIBASE_GT1_NOD_HIDER_JDG			103302
#define	M01_GDIBASE_GT1_NOD_BEACHGUY_JDG		103304
#define	M01_GDIBASE_GT1_GDI01_JDG				103306
#define	M01_GDIBASE_GT1_GDI02_JDG				103325
#define	M01_GDIBASE_GT1_MONITOR_JDG				103326

#define	M01_GDIBASE_POWSCENE02_MONITOR_JDG		103331
#define	M01_GDIBASE_POWSCENE02_NODGUY01_JDG		103329
#define	M01_GDIBASE_POWSCENE02_NODGUY02_JDG		103330
#define	M01_GDIBASE_POWSCENE02_POWGUY01_JDG		116386
#define	M01_GDIBASE_POWSCENE02_POWGUY02_JDG		116385

#define M01_GDIBASE_ARTILLERY_CONTROLLER_ID		102294

#define M01_GDIBASE_EVAC_MONITOR_JDG			103419
#define M01_BARNAREA_EVAC_MONITOR_JDG			103420
#define M01_CHURCHAREA_EVAC_MONITOR_JDG			103421

#define M01_GDIBASE_SPAWNER_CONTROLLER_JDG		102335
#define M01_GDIBASE_SPAWNER_A_JDG				102332
#define M01_GDIBASE_SPAWNER_B_JDG				102333
#define M01_GDIBASE_SPAWNER_C_JDG				102334
#define M01_BARNAREA_NOD_COMMANDER_JDG			102360
#define M01_BARNAREA_NOD_COMMANDER_02_JDG		102476
#define M01_TAILGUNAREA_NOD_COMMANDER_JDG		102358
#define M01_CHURCHAREA_NOD_COMMANDER_JDG		102357

#define M01_TAILGUNRUN_SPAWNER_CONTROLLER_JDG	102346
#define M01_TAILGUNRUN_SPAWNER_A_JDG			102343
#define M01_TAILGUNRUN_SPAWNER_B_JDG			102344
#define M01_TAILGUNRUN_SPAWNER_C_JDG			102345

#define M01_CHURCHAREA_SPAWNER_CONTROLLER_JDG	102350
#define M01_CHURCHAREA_SPAWNER_A_JDG			102347
#define M01_CHURCHAREA_SPAWNER_B_JDG			102348
#define M01_CHURCHAREA_SPAWNER_C_JDG			102349

#define M01_HAND_OF_NOD_JDG						153909
#define M01_HON_SAM_SITE_JDG					100031
#define M01_HON_CAFETERIA_EATING_GUY_ID			101293
#define M01_HON_CAFETERIA_WALKING_GUY_ID		101294
#define M01_HON_CAFETERIA_JUDO_GUY_ID			101295
#define M01_HON_DORMROOM_MINIGUNNER_ID			101296
#define M01_HON_DORMROOM_ROCKET_GUY_ID			101297
#define M01_HON_DORMROOM_CHEM_GUY_ID			101298
#define M01_HON_DORMROOM_FLAME_GUY_ID			101299
#define M01_HON_DORMROOM_CRAPPER_ID				101301
#define M01_HON_INTERROGATION_ROOM_GUY_ID		101357
#define M01_HON_REPAIR_ENGINEER_ID				101948
#define M01_HON_FRONTDOOR_DESTROYED_SPAWNER_JDG	100712
#define M01_HON_BACKDOOR_DESTROYED_SPAWNER_JDG	100713
#define M01_HON_DOJO_CIV_01_JDG					102048
#define M01_HON_DOJO_CIV_02_JDG					102049
#define M01_HON_DOJO_CIV_03_JDG					102050
#define M01_HON_DOJO_SENSEI_JDG					102051

#define M01_REFINERY_JDG						153908
#define M01_REFINERY_SAM_JDG					100032
#define M01_REFINERY_MAIN_CONSOLE_TECH_ID		101302
#define M01_REFINERY_SECONDARY_TECH_ID			101303
#define M01_REFINERY_ENGINEER_ID				101304
#define M01_REFINERY_DESTROYED_SPAWNER_JDG		100726

#define M01_COMM_CENTER_JDG						153910
#define M01_COMMCENTER_SAM_JDG					100034
#define	M01_COMM_CENTER_ENGINEER_ID				101949
#define M01_COMMCENTER_DESTROYED_SPAWNER_JDG	100727
#define M01_COMMCENTER_BASE_COMMANDER_JDG		101936
#define M01_COMMCENTER_BASE_SCAPEGOAT_JDG		101938
#define M01_COMMCENTER_CEILING_CAMERA_JDG		101937
#define M01_COMMCENTER_UPSTAIRS_TECH_JDG		101168
#define M01_COMMCENTER_WAROOM_TECH_01_JDG		101170
#define M01_COMMCENTER_WAROOM_TECH_02_JDG		101171
#define M01_COMMCENTER_COMPUTERROOM_TECH_JDG	101172
#define M01_COMMCENTER_UPSTAIRS_GUARD_JDG		101946

#define M01_COMMCENTER_LIGHTTANK_ZONE_JDG		102225

#define M01_HARVESTER_ESCORT01_JDG				100251
#define M01_HARVESTER_ESCORT02_JDG				100252
#define M01_HARVESTER_JDG						100033

#define M01_CHURCH_LOVESHACK_MINIGUNNER_ID		101305
#define M01_CHURCH_LOVESHACK_NUN_ID				101310
#define M01_CHURCH_EXTERIOR_MINIGUNNER_ID		101311
#define M01_CHURCH_BALCONY_MINIGUNNER_ID		101312
#define M01_CHURCH_GUARD_MINIGUNNER_ID			101313
#define M01_CHURCH_INTERIOR_NUN_ID				101314
#define M01_CHURCH_PRIEST_ID					101315

#define M01_BRIDGE_DRIVEBY_MINIGUNNER_01_ID		101316
#define M01_BRIDGE_DRIVEBY_MINIGUNNER_02_ID		101317
#define M01_BRIDGE_DRIVEBY_MINIGUNNER_03_ID		101318

#define M01_TURRETBEACH_TURRET_01_ID			101434
#define M01_TURRETBEACH_TURRET_02_ID			101435
#define M01_TURRETBEACH_GUNBOAT_ID				101477
#define M01_TURRETBEACH_ENGINEER_ID				101654
#define M01_TURRETBEACH_CONTROLLER_ID			113325

#define M01_BARN_DOOR_GUARD_ID					101512
#define M01_BARN_TALK_GUARD_01_ID				103318
//#define M01_BARN_TALK_GUARD_02_ID				101441
#define M01_BARN_PRISONER_01_ID					101442
#define M01_BARN_PRISONER_02_ID					101444
#define M01_BARN_PRISONER_03_ID					101443
#define M01_BARN_OBJECTIVE_ZONE_ID				101540
#define M01_BARNAREA_LIGHTTANK_ID				103012

#define M01_TANK_TUNNEL_ZONE_ID					101679
#define M01_TANK_TUNNEL_SQUISH_GUY_01_ID		101682
#define M01_TANK_TUNNEL_SQUISH_GUY_02_ID		101683
#define M01_TANK_TUNNEL_SQUISH_GUY_03_ID		101684
#define M01_KILL_JUMPING_BUGGY_ZONE_JDG			100933
#define M01_JUMPING_BUGGY_LOOKOUT_ZONE_JDG		100936
#define M01_TIB_TUNNEL_HELICOPTER_ZONE_JDG		100955

#define M01_TAILGUN_01_ID						108707
#define M01_TAILGUN_02_ID						108708
#define M01_TAILGUN_03_ID						108709
#define M01_TAILGUNNER_01_ID					101470
#define M01_TAILGUNNER_02_ID					101471
#define M01_TAILGUNNER_03_ID					101472
#define M01_TAILGUNAREA_NOD_LIGHTTANK_JDG		102435

#define M01_DETENTION_GDI_GUY_01_JDG			101926
#define M01_DETENTION_GDI_GUY_02_JDG			101927
#define M01_DETENTION_GDI_GUY_03_JDG			101928
#define M01_DETENTION_CIVILIAN_01_JDG			101929//BABUSHKA
#define M01_DETENTION_CIVILIAN_02_JDG			101930//PIERRE
#define M01_DETENTION_CIVILIAN_03_JDG			101931//FARMER JOHN
#define M01_COMMCENTER_DETENTION_GATE_JDG		157984

//Logical Sounds
#define M01_HON_ESCORTS_FORM_UP_JDG				400000

#define M01_DETENTION_GUY_HAS_SEEN_HAVOC_JDG	400003
#define M01_DETENTION_GATE_IS_DOWN_JDG			400004
#define M01_DETENTION_GATE_DOWN_SAM_DEAD_JDG	400005


/*****************************************************************************************************
Starting level 04 defines here
******************************************************************************************************/

#define M04_TEST_APACHE_JDG						100397

#define M04_SHIPS_CAPTAIN_JDG					100401
#define M04_SHIPS_FIRST_MATE_JDG				100400
#define M04_PRISON_WARDEN_JDG					100399
#define M04_MEDLAB_TECHNICIAN_JDG				101202

#define M04_CARGO_TALKGUY_01_JDG				101463
#define M04_CARGO_TALKGUY_02_JDG				101464
#define M04_CARGO_TALKGUY_03_JDG				101465
#define M04_CARGO_BLACKHAND_01_JDG				101534

#define M04_OBJECTIVE_CONTROLLER_JDG			100424
#define M04_CARGOHOLD_CONTROLLER_JDG			100558
//#define M04_ENGINEROOM_CONTROLLER_JDG			100750
#define M04_AFT_DECK_CONTROLLER_JDG				100624
#define M04_FORE_DECK_CONTROLLER_JDG			100790
//#define M04_SNIPER_ENCOUNTER_CONTROLLER_JDG		100264
#define M04_TIBERIUM_HOLD_CONTROLLER_JDG		100572
#define M04_APACHE_CONTROLLER_JDG				200586
#define M04_END_FIREFIGHT_CONTROLLER_JDG		100948

#define M04_PRISON_PRISONER_01_JDG				100011
#define M04_PRISON_PRISONER_02_JDG				101196
#define M04_PRISON_PRISONER_03_JDG				100013
#define M04_PRISON_DOOR_JDG						201089

//#define M04_ENGINEROOM_ALARMBOX_JDG				101120
#define M04_MISSILE_ROOM_TARGET_01_JDG			100421
#define M04_MISSILE_ROOM_TARGET_02_JDG			100422
#define M04_MISSILE_ROOM_TARGET_03_JDG			100423
#define M04_MISSILE_ROOM_TARGET_04_JDG			100420

#define M04_ENGINEROOM_TARGET_01_JDG			100419
#define M04_ENGINEROOM_TARGET_02_JDG			100416
#define M04_ENGINEROOM_TARGET_03_JDG			100418
#define M04_ENGINEROOM_TARGET_04_JDG			100417

#define M04_ROCKET_EMPLACEMENT_01_JDG			103461
#define M04_ROCKET_EMPLACEMENT_02_JDG			103462

#define M04_ENGINEROOM_PRISONGUARD_01_JDG		101988
#define M04_ENGINEROOM_PRISONGUARD_02_JDG		101989

#define M04_ENGINEROOM_CHIEF_ENGINEER_JDG		101762
#define M04_ENGINEROOM_TECH_01_JDG				101691
#define M04_ENGINEROOM_TECH_02_JDG				101692
#define M04_ENGINEROOM_TECH_03_JDG				101690
#define M04_ENGINEROOM_TECH_04_JDG				101693
#define M04_ENGINEROOM_SPAWNER_01_JDG			101942
#define M04_ENGINEROOM_SPAWNER_02_JDG			101943

#define M04_ENGINEROOM_BUILDING_CONTROLLER_JDG	150001
#define M04_ENGINEROOM_HUNTING_CONTROLLER_JDG	103390

#define M04_TIBERIUM_HOLD_TECH01_JDG			102147
#define M04_TIBERIUM_HOLD_TECH02_JDG			102148
#define M04_TIBERIUM_CRYOCHAMBER_JDG			102243
#define M04_TIBERIUM_SIMPLEMUTANT_JDG			102240
#define M04_TIBERIUM_CHAMBERCONTROLLER_JDG		104113



// Public Variables

// Enumerations
enum 
{
	M01_CAPT_DUNCAN_HAS_BEEN_FOUND_JDG,
	M01_GDI_BASE_POWS_RESCUED_JDG,
	M01_GDI_BASE_POWS_OVER_JDG,


	M01_START_GDIBASE_FRONT_CONVERSATION,
	//M01_ANNOUNCE_LIGHTHOUSE_SNIPER_JDG,
	//M01_SNIPERS_BEEN_KILLED_JDG,
	M01_DO_END_MISSION_CHECK_JDG,
	M01_END_MISSION_PASS_JDG,
	M01_ADD_OBJECTIVE_POG_JDG,
	M01_CHANGE_OBJECTIVE_POG_JDG,
	M01_REMOVE_OBJECTIVE_POG_JDG,

	M01_GOTO_YOUR_EVAC_SPOT_JDG,
	M01_GIVE_ME_A_ROPE_JDG,
	M01_TAKE_AWAY_ROPE_JDG,
	M01_ROPE_IS_SENDING_ID_JDG,
	M01_WAYPATH_IS_SENDING_ID_JDG,
	M01_CHOPPER_IS_SENDING_ID_JDG,
	M01_EVERYONES_ON_BOARD_JDG,

	M01_START_ACTING_JDG,
	M01_START_ATTACKING_01_JDG,
	M01_START_ATTACKING_02_JDG,
	M01_START_ATTACKING_03_JDG,
	M01_START_ATTACKING_04_JDG,
	M01_START_ATTACKING_05_JDG,
	M01_IVE_BEEN_KILLED_JDG,
	M01_HOLD_YOUR_POSITION_JDG,

	M01_GOTO_IDLE_JDG,
	M01_GOTO_INNATE_JDG,
	M01_DO_DAMAGE_CHECK_JDG,
	M01_MODIFY_YOUR_ACTION_JDG,
	M01_MODIFY_YOUR_ACTION_02_JDG,
	M01_MODIFY_YOUR_ACTION_03_JDG,
	M01_MODIFY_YOUR_ACTION_04_JDG,
	M01_MODIFY_YOUR_ACTION_05_JDG,
	M01_MODIFY_YOUR_ACTION_06_JDG,
	M01_MODIFY_YOUR_ACTION_07_JDG,
	M01_MODIFY_YOUR_ACTION_08_JDG,
	M01_MODIFY_YOUR_ACTION_09_JDG,
	M01_MODIFY_YOUR_ACTION_10_JDG,
	M01_MODIFY_YOUR_ACTION_11_JDG,

	M01_WALKING_WAYPATH_01_JDG,
	M01_WALKING_WAYPATH_02_JDG,
	M01_WALKING_WAYPATH_03_JDG,
	M01_WALKING_WAYPATH_04_JDG,
	M01_WALKING_WAYPATH_05_JDG,
	M01_WALKING_WAYPATH_06_JDG,
	M01_WALKING_WAYPATH_07_JDG,
	M01_GOING_TO_HAVOC_JDG,
	
	M01_DOING_ANIMATION_01_JDG,
	M01_DOING_ANIMATION_02_JDG,
	M01_DOING_ANIMATION_03_JDG,
	M01_DOING_ANIMATION_04_JDG,
	M01_DOING_ANIMATION_05_JDG,
	M01_DOING_ANIMATION_06_JDG,
	M01_DOING_ANIMATION_07_JDG,
	M01_DOING_ANIMATION_08_JDG,
	M01_DOING_ANIMATION_09_JDG,
	M01_DOING_ANIMATION_10_JDG,
	M01_DOING_ANIMATION_11_JDG,

	M01_TECH_IS_AT_WORKSPOT_01_JDG,
	M01_TECH_IS_AT_WORKSPOT_02_JDG,
	M01_TECH_IS_AT_WORKSPOT_03_JDG,
	M01_TECH_IS_FACING_WORKSPOT_JDG,
	M01_TECH_IS_DOING_WORK_ANIMATION_JDG,
	
	M01_DOING_ENTER_ANIMATION_JDG,
	M01_FACING_SPECIFIED_DIRECTION_01_JDG,
	M01_FACING_SPECIFIED_DIRECTION_02_JDG,
	M01_HUNT_THE_PLAYER_JDG,
	M01_CALL_IN_REINFORCEMENTS_JDG,
	M01_PICK_A_NEW_LOCATION_JDG,
	
//E3 radar markers
//	M01_E3_WARP_MARKER_01_JDG,
//	M01_E3_WARP_MARKER_02_JDG,
//	M01_E3_WARP_MARKER_03_JDG,

//spawners
	M01_SPAWNER_SPAWN_PLEASE_JDG,
	M01_SPAWNER_IS_DEAD_JDG,
	M01_QUIT_SPAWNING_PLEASE_JDG,

	M01_SEND_GUARD_TOWER_CHINOOK_JDG,
	M01_SEND_BARN_CHINOOK_JDG,
	M01_SEND_TAILGUN_CHINOOK_JDG,
	M01_SEND_CHURCH_CHINOOK_JDG,
	M01_SEND_BARN_CIVILIANS_RESCUE_CHINOOK_JDG,

	M01_RESPAWN_SHED01_POWERUP_JDG,
	M01_RESPAWN_ARMORY_POWERUP_JDG,
	M01_RESPAWN_TIBCAVE_POWERUP_JDG,

	M01_HAVOC_GOTO_START_SPOT_JDG,
	M01_ATTACH_HAVOCS_SCRIPT_JDG,
	M01_CHECK_HAVOCS_HEALTH_JDG,
	M01_RESET_HAVOCS_HEALTH_WARNING_JDG,

	M01_ADD_CHURCH_OBJECTIVE_JDG,
	//M01_ADD_HON_SAM_OBJECTIVE_JDG,
	M01_ADD_HARVESTER_OBJECTIVE_JDG,
	M01_ADD_REFINERY_OBJECTIVE_JDG,
	M01_ADD_REFINERY_SAM_OBJECTIVE_JDG,
	M01_ADD_PRISONER_OBJECTIVE_JDG,
	M01_ADD_UNLOCK_GATE_OBJECTIVE_JDG,
	M01_ADD_COMM_SAM_OBJECTIVE_JDG,
	M01_ADD_BARN_OBJECTIVE_JDG,
	M01_ADD_HON_OBJECTIVE_JDG,
	M01_ADD_TURRETS_OBJECTIVE_JDG,
	M01_ADD_BARN_COMMANDER_OBJECTIVE_JDG,

	M01_CLEAR_CHURCH_OBJECTIVE_PASS_JDG,
	M01_CLEAR_CHURCH_OBJECTIVE_FAIL_JDG,
	M01_CLEAR_HARVESTER_OBJECTIVE_PASS_JDG,
	M01_CLEAR_REFINERY_OBJECTIVE_PASS_JDG,
	M01_CLEAR_HON_OBJECTIVE_PASS_JDG,
	M01_CLEAR_UNLOCK_GATE_OBJECTIVE_JDG,
	M01_CLEAR_PRISONERS_PASS_JDG,
	M01_CLEAR_FIRST_NOD_COMMANDER_PASS_JDG,

	M01_ANNOUNCE_HARVESTER_OBJECTIVE_JDG,
	M01_ANNOUNCE_HON_OBJECTIVE_JDG,
	M01_ANNOUNCE_HON_SAM_OBJECTIVE_JDG,
	M01_ANNOUNCE_PRISONER_OBJECTIVE_JDG,
	M01_ANNOUNCE_UNLOCK_GATE_OBJECTIVE_JDG,
	M01_ANNOUNCE_COMMCENTER_SAM_OBJECTIVE_JDG,
	M01_ANNOUNCE_BARN_OBJECTIVE_JDG,
	M01_ANNOUNCE_REFINERY_SAM_OBJECTIVE_JDG,
	M01_ANNOUNCE_TURRETS_OBJECTIVE_JDG,

	M01_START_BARN_OBJECTIVE_JDG,
	
	M01_END_TURRETS_OBJECTIVE_PASS_JDG,
	M01_END_TURRETS_OBJECTIVE_FAIL_JDG,
	M01_END_BARN_OBJECTIVE_JDG,
	M01_END_BARN_ROUNDUP_OBJECTIVE_JDG,
	M01_CHANGE_BARN_OBJECTIVE_JDG,
	
	M01_PASS_TURRETS_OBJECTIVE_JDG,
	M01_PASS_UNLOCK_GATE_OBJECTIVE_JDG,
	M01_PASS_COMM_SAM_OBJECTIVE_JDG,
	
	//M01_SEND_HON_AIRSTRIKE_JDG,
	//M01_SEND_COMM_AIRSTRIKE_JDG,
	M01_SEND_COMMCENTER_REINFORCEMENTS_JDG,
	
	M01_SPAWN_REFINERY_AIRSTRIKE_JDG,
	
	//M01_CHURCH_OBJECTIVE_JDG,
	M01_HON_HAS_BEEN_DESTROYED_JDG,
	M01_HON_SAMSITE_HAS_BEEN_DESTROYED_JDG,
	M01_COMM_CENTER_HAS_BEEN_DESTROYED_JDG,
	M01_COMMCENTER_SAMSITE_HAS_BEEN_DESTROYED_JDG,
	M01_REFINERY_HAS_BEEN_DESTROYED_JDG,
	M01_REFINERY_SAMSITE_HAS_BEEN_DESTROYED_JDG,
	
	M01_PLAYER_APPROACHING_BARN_AREA_JDG,
	M01_PLAYER_APPROACHING_GDI_BASE_AREA_JDG,
	M01_PLAYER_IS_INSIDE_GDI_CON_JDG,
	M01_PLAYER_IS_OUTSIDE_GDI_CON_JDG,
	M01_PLAYER_IS_INSIDE_GDI_POWERPLANT_JDG,
	M01_PLAYER_IS_OUTSIDE_GDI_POWERPLANT_JDG,
	M01_PLAYER_IS_APPROACHING_TAILGUN_ALLEY_JDG,
	M01_PLAYER_IS_INSIDE_HON_JDG,
	M01_PLAYER_IS_IN_HON_GRUNT_LEVEL_JDG,
	M01_PLAYER_IS_IN_HON_DOJO_JDG,
	M01_PLAYER_IS_OUTSIDE_HON_JDG,
	M01_PLAYER_IS_INSIDE_REFINERY_JDG,
	M01_PLAYER_IS_OUTSIDE_REFINERY_JDG,
	M01_PLAYER_IS_INSIDE_COMM_CENTER_JDG,
	M01_PLAYER_IS_OUTSIDE_COMM_CENTER_JDG,
	M01_PLAYER_IS_INSIDE_TUNNEL_JDG,
	M01_PLAYER_IS_OUTSIDE_TUNNEL_JDG,
	M01_PLAYER_IS_INSIDE_WATERFALL_JDG,
	M01_PLAYER_IS_OUTSIDE_WATERFALL_JDG,
	M01_PLAYER_IS_AT_SNIPER_SCENARIO_JDG,
	M01_PLAYER_IS_APPROACHING_CHURCH_JDG,
	M01_PLAYER_IS_LEAVING_CHURCH_01_JDG,
	M01_PLAYER_IS_LEAVING_CHURCH_02_JDG,
	M01_PLAYER_IS_LEAVING_HON_01_JDG,
	M01_PLAYER_IS_LEAVING_HON_02_JDG,
	M01_PLAYER_IS_CROSSING_THE_BRIDGE_JDG,
	M01_PLAYER_IS_CROSSING_THE_BRIDGE_VIA_CAVE_JDG,
	M01_PLAYER_ENTERING_LEFT_INTEROG_ROOM_JDG,
	M01_PLAYER_ENTERING_RIGHT_INTEROG_ROOM_JDG,
	M01_PLAYER_ENTERING_CENTER_INTEROG_ROOM_JDG,

	M01_TURN_ON_OUTSIDE_AMBIENTS_JDG,
	M01_TURN_OFF_OUTSIDE_AMBIENTS_JDG,

	//M01_CUE_THE_SNIPER_SCENARIO_JDG,
	M01_HON_CUE_WARROOM_LEVEL_ACTORS_JDG,
	M01_REFINERY_CUE_PRIMARY_ACTORS_JDG,

	M01_GUARD_TIBERIUM_FIELD_JDG,
	M01_GUARD_REFINERY_JDG,
	M01_ESCORT_HARVESTER_JDG,
	
	M01_YOUR_BUILDING_HAS_BEEN_DESTROYED_JDG,

	M01_ANNOUNCE_AIRSTRIKE_JDG,
	M01_ANNOUNCE_REINFORCEMENTS_JDG,

	M01_SEND_HON_REINFORCEMENTS_A_JDG,
	M01_SEND_HON_REINFORCEMENTS_B_JDG,
	M01_SEND_HON_REINFORCEMENTS_C_JDG,
	M01_SEND_CHURCH_REINFORCEMENTS_JDG,

	M01_HON_CHINOOK_GUY_HAS_BEEN_KILLED_JDG,
	M01_CHURCH_GUARD_IS_DEAD_JDG,
	M01_LOVESHACK_GUARD_IS_DEAD_JDG,
	M01_CUE_CHURCH_PICKUP_CHINOOK_JDG,
	M01_CHURCH_CHINOOK_HAS_LANDED_JDG,
	M01_CHURCH_CLERGY_HAS_BOARDED_JDG,
	M01_CARD_CARRIER_HAS_BEEN_KILLED_JDG,
	M01_GDI_GUY_HAS_BEEN_POKED_JDG,
	M01_PLEASE_START_ESCORTING_PLAYER_JDG,
	M01_PLEASE_STOP_ESCORTING_PLAYER_JDG,
	M01_PLAYERS_ESCORT_HAS_BEEN_KILLED_JDG,

	M01_PLAYER_HAS_PICKED_UP_CHEMSPRAYER_JDG,
	M01_PLAYER_HAS_PICKED_UP_MINIGUN_JDG,
	M01_PLAYER_HAS_PICKED_UP_FLAMETHROWER_JDG,
	M01_PLAYER_HAS_PICKED_UP_SHOTGUN_JDG,
	M01_PLAYER_HAS_PICKED_UP_ROCKETLAUNCHER_JDG,
	M01_PLAYER_HAS_PICKED_UP_SNIPERRIFLE_JDG,

	M01_PLAYER_IS_ATTACKING_ME_JDG,
	M01_DO_ESCORT_ANIMATION_JDG,
	M01_ESCORT_IS_ATTACKING_TARGET_JDG,
	M01_ESCORT_IS_HOLDING_POSITION_JDG,
	M01_DRIVEBYGUY_SAYS_SORRY_JDG,
	M01_LOOK_AT_SPEEDRACER_JDG,
	M01_SPAWN_TIB_CAVE_HELICOPTER_JDG,
	
	M01_KILL_THE_HON_JDG,
	M01_KILL_THE_COMM_JDG,
	M01_KILL_THE_GDI_POWER_PLANT_JDG,
	M01_PLAYER_HAS_POKED_COMM_CENTER_PCT_JDG,
	M01_PLAYER_HAS_POKED_PEN_GATE_JDG,
	M01_SCRAMBLE_THE_RADAR_JDG,
	M01_UNSCRAMBLE_THE_RADAR_JDG,
	
	M01_SPAWN_WHACK_A_MOLE_GUY_JDG,
	M01_CHANGE_WHACK_A_MOLE_GUY_JDG,
	
	M01_HON_SPAWNS_MINIGUNNER_JDG,
	M01_HON_SPAWNER_IN_POSITION_JDG,
	M01_HON_SPAWNER_IS_DEAD_JDG,
	M01_HON_SPAWNER_01_IS_DEAD_JDG,
	M01_HON_SPAWNER_02_IS_DEAD_JDG,
	M01_HON_SPAWNER_03_IS_DEAD_JDG,
	
	M01_CUE_INTERIOR_NUN_CONVERSATION_JDG,
	M01_CUE_LOVESHACK_NUN_CONVERSATION_JDG,
	M01_CUE_PRIEST_CONVERSATION_JDG,
	M01_CUE_KANE_AND_NUMBER2_CONVERSATION_JDG,
	M01_CUE_KANE_AND_NUMBER2_CONVERSATION_02_JDG,
	M01_CUE_KANE_AND_HAVOC_CONVERSATION_JDG,
	//M01_CUE_LOCKES_HON_MCT_CONVERSATION_JDG,
	M01_TURRET_HAS_BEEN_DESTROYED_JDG,
	//M01_TURRET_02_HAS_BEEN_DESTROYED_JDG,
	M01_FODDER_HOVERCRAFT_IS_HERE,
	M01_SPAWN_THE_MEDIUM_TANK_JDG,
	M01_BARN_APC_HAS_ARRIVED_JDG,
	M01_BUSY_TRY_AGAIN_JDG,
	M01_TURRET_BEACH_ENGINEER_IS_DEAD_JDG,
	M01_NEW_TURRET_BEACH_ENGINEER_IS_HERE_JDG,
	M01_CHECK_TURRETS_HEALTH_JDG,
	M01_CUE_BILLYS_CONVERSATION_JDG,
	M01_CUE_BABUSHKA_CONVERSATION_JDG,
	M01_BARN_GUARD_IS_DEAD_JDG,
	M01_MEDIUM_TANK_IS_HERE_JDG,
	M01_CIVILIAN_KILLED_JDG,
	M01_YOUR_OPERATOR_IS_DEAD_JDG,

	M01_START_FLYOVERS_JDG,
	M01_STOP_FLYOVERS_JDG,

	M01_KILL_THE_REFINERY_JDG = 4000,
	M01_GOING_TO_EVAC_SPOT_JDG,
	M01_GOING_TO_EVAC_SPOT02_JDG,
};

// Timer Enumerations

typedef enum
{
	M1TIMER_START = STIMER_MISSION1,
} M1TIMER;
//mission functions
inline char *M01_Choose_Cheer_Animation ( )
{
	char *animationList[4] = 
		{
			"H_A_J01C",
			"H_A_J18C",
			"H_A_J24C",
			"H_A_J26C",
		};
		int random = Commands->Get_Random_Int(0, 4);
	

	return animationList[random];
};

inline char *M01_Choose_Duck_Animation ( )
{
	char *animationList[5] = 
		{
			"H_A_A0A0_L20",
			"H_A_A0A0_L21",
			"H_A_A0A0_L36",
			"H_A_A0A0_L52",
			"H_A_J21C",
		};
		int random = Commands->Get_Random_Int(0, 5);
	

	return animationList[random];
};

inline char *M01_Choose_Search_Animation ( )
{
	char *animationList[4] = 
		{
			"H_A_J01C",
			//"H_A_J18C",
			"H_A_J11C",
			"H_A_J23C",
			"H_A_J27C",
		};
		int random = Commands->Get_Random_Int(0, 4);
	

	return animationList[random];
};

inline char *M01_Choose_Idle_Animation ( )
{
	char *animationList[14] = 
		{
			"H_A_A0A0_L01",
			"H_A_A0A0_L02",
			"H_A_A0A0_L03",
			"H_A_A0A0_L04",
			"H_A_A0A0_L05",
			"H_A_A0A0_L13",
			"H_A_X33C",
			"H_A_J33C",
			"H_A_J24C",
			"H_A_J22C",
			"H_A_J17C",
			"H_A_J15C",
			"H_A_J14C",
			"H_A_J11C",
		};
		int random = Commands->Get_Random_Int(0, 14);

	return animationList[random];
};

/*inline char *M01_Choose_Cheer_Animation ( )
{
	char *animationName;
	float animationNumber = Commands->Get_Random ( 0.5f, 4.5f);

	if ((animationNumber >= 0.5) && (animationNumber < 1.5))
	{
		animationName = "H_A_J01C";
	}

	else if ((animationNumber >= 1.5) && (animationNumber < 2.5))
	{
		animationName = "H_A_J18C";
	}

	else if ((animationNumber >= 2.5) && (animationNumber < 3.5))
	{
		animationName = "H_A_J24C";
	}

	else 
	{
		animationName = "H_A_J26C";
	}

	return animationName;
};*/

/*inline char *M01_Choose_Search_Animation ( )
{
	char *animationName;
	float animationNumber = Commands->Get_Random ( 0.5f, 5.5f);

	if ((animationNumber >= 0.5) && (animationNumber < 1.5))
	{
		animationName = "H_A_J01C";
	}

	else if ((animationNumber >= 1.5) && (animationNumber < 2.5))
	{
		animationName = "H_A_J11C";
	}

	else if ((animationNumber >= 2.5) && (animationNumber < 3.5))
	{
		animationName = "H_A_J18C";
	}

	else if ((animationNumber >= 3.5) && (animationNumber < 4.5))
	{
		animationName = "H_A_J23C";
	}

	else 
	{
		animationName = "H_A_J27C";
	}

	return animationName;
};*/

/*inline char *M01_Choose_Idle_Animation ( )
{
	char *animationName;

	float animationNumber = Commands->Get_Random ( 0.5f, 14.5f);

	if ((animationNumber >= 0.5) && (animationNumber < 1.5))
	{
		animationName = "H_A_A0A0_L01";
	}

	else if ((animationNumber >= 1.5) && (animationNumber < 2.5))
	{
		animationName = "H_A_A0A0_L02";
	}

	else if ((animationNumber >= 2.5) && (animationNumber < 3.5))
	{
		animationName = "H_A_A0A0_L03";
	}

	else if ((animationNumber >= 3.5) && (animationNumber < 4.5))
	{
		animationName = "H_A_A0A0_L04";
	}

	else if ((animationNumber >= 4.5) && (animationNumber < 5.5))
	{
		animationName = "H_A_A0A0_L05";
	}

	else if ((animationNumber >= 5.5) && (animationNumber < 6.5))
	{
		animationName = "H_A_A0A0_L13";
	}

	else if ((animationNumber >= 6.5) && (animationNumber < 7.5))
	{
		animationName = "H_A_X33C";
	}

	else if ((animationNumber >= 7.5) && (animationNumber < 8.5))
	{
		animationName = "H_A_J33C";
	}

	else if ((animationNumber >= 8.5) && (animationNumber < 9.5))
	{
		animationName = "H_A_J24C";
	}

	else if ((animationNumber >= 9.5) && (animationNumber < 10.5))
	{
		animationName = "H_A_J22C";
	}

	else if ((animationNumber >= 10.5) && (animationNumber < 11.5))
	{
		animationName = "H_A_J17C";
	}

	else if ((animationNumber >= 11.5) && (animationNumber < 12.5))
	{
		animationName = "H_A_J15C";
	}

	else if ((animationNumber >= 12.5) && (animationNumber < 13.5))
	{
		animationName = "H_A_J14C";
	}

	else 
	{
		animationName = "H_A_J11C";
	}

	return animationName;
};*/

#endif // _MISSION1_H_
