/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/******************************************************************************
*
* FILE
*     Mission3.h
*
* DESCRIPTION
*     Mission 3 Header File
*
* PROGRAMMER
*     Dan Etter
*
* VERSION INFO
*     $Author: Dan_e $
*     $Revision: 45 $
*     $Modtime: 12/03/01 11:46a $
*     $Archive: /Commando/Code/Scripts/Mission3.h $
*
******************************************************************************/

#ifndef _MISSION3_H_
#define _MISSION3_H_

// Defines and Includes
#define GOTO_STAR	20000

// Predefined Constants

// Public Variables

// Enumerations

#define SAKURA_DOGFIGHT			40000
#define DOGFIGHT_ENDED			40001
#define MCT_ACCESSED			40002
#define COMM_KILLED				40003
#define ENTERED					40004
#define MESSAGE_DELAY			40005
#define REMOVE_SECONDARY_POG	40006
#define ANNOUNCEMENT_DELAY		40007
#define TROOP_KILLED			40008
#define PAST_PILLBOX			40009
#define POWER_KILLED			40010
#define ENGINEER				40011
#define HEAL_ME					40012
#define HEALTH_CHECK			40013
#define STOP_REPAIR				40014
#define MOVE_TO_HEAL			40015
#define REPAIRING				40016
#define UPDATE					40017
#define BASE					40018
#define INLET					40019
#define BEACH					40020
#define LOCATION				40021
#define ACTIVATE				40022
#define BASE_ENTERED			40023
#define ORCA_TIMER				40024
#define MISSION_FAIL			40025
#define GUNBOAT_KILLED			40026
#define CANNON_KILLED			40027

// Timer Enumerations
#define INLET_REINFORCE		60000
#define CLOUD_DELAY			60001

#endif // _MISSION3_H_
