/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_AMERASETTINGSFORMCLASS_H__646751E5_7A54_11D2_9FD2_00104B791122__INCLUDED_)
#define AFX_AMERASETTINGSFORMCLASS_H__646751E5_7A54_11D2_9FD2_00104B791122__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ameraSettingsFormClass.h : header file
//

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif


#include "DockableForm.H"
#include "Resource.H"


/////////////////////////////////////////////////////////////////
//
//	CameraSettingsFormClass
//
class CameraSettingsFormClass : public DockableFormClass
{
	public:
		CameraSettingsFormClass ();
		virtual ~CameraSettingsFormClass (void);

// Form Data
public:
	//{{AFX_DATA(CameraSettingsFormClass)
	enum { IDD = IDD_CAMERA_SETTINGS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CameraSettingsFormClass)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CameraSettingsFormClass)
	afx_msg void OnDeltaPosDepthSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateDepthEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	public:

		///////////////////////////////////////////////////////
		//
		//	Public methods
		//
		void		HandleInitDialog (void);
		void		Update_Controls (void);

	protected:

		///////////////////////////////////////////////////////
		//
		//	Private member data
		//
		void		Set_Depth (int new_depth);

	private:

		///////////////////////////////////////////////////////
		//
		//	Private member data
		//
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AMERASETTINGSFORMCLASS_H__646751E5_7A54_11D2_9FD2_00104B791122__INCLUDED_)
