/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_RESTRICTEDFILEDIALOG_H__C461432A_D7EE_11D2_A00A_00104B791122__INCLUDED_)
#define AFX_RESTRICTEDFILEDIALOG_H__C461432A_D7EE_11D2_A00A_00104B791122__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RestrictedFileDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// RestrictedFileDialogClass dialog

class RestrictedFileDialogClass : public CFileDialog
{
	DECLARE_DYNAMIC(RestrictedFileDialogClass)

public:
	RestrictedFileDialogClass(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);

protected:
	//{{AFX_MSG(RestrictedFileDialogClass)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	virtual void			OnFileNameChange (void);
	virtual BOOL			OnFileNameOK (void);
	virtual void			OnInitDone (void);

	private:
		CString				m_ExpectedFilename;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESTRICTEDFILEDIALOG_H__C461432A_D7EE_11D2_A00A_00104B791122__INCLUDED_)
