/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/***********************************************************************************************
 ***              C O N F I D E N T I A L  ---  W E S T W O O D  S T U D I O S               ***
 ***********************************************************************************************
 *                                                                                             *
 *                 Project Name : WWPhys                                                       *
 *                                                                                             *
 *                     $Archive:: /Commando/Code/wwphys/bin_point.cpp                         $*
 *                                                                                             *
 *                       Author:: Greg Hjelstrom                                               *
 *                                                                                             *
 *                     $Modtime:: 7/29/99 11:26a                                              $*
 *                                                                                             *
 *                    $Revision:: 2                                                           $*
 *                                                                                             *
 *---------------------------------------------------------------------------------------------*
 * Functions:                                                                                  *
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */


#include "bin_point.h"

#ifdef WWDEBUG
const unsigned char _PointBinary[2694] = 
{
	0x00,0x00,0x00,0x00,0x7E,0x0A,0x00,0x00,0x1F,0x00,0x00,0x00,0x74,0x00,0x00,0x00,
	0x01,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x50,0x4F,0x49,0x4E,0x54,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x1A,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x80,0xBD,
	0xFF,0xFF,0x7F,0xBD,0x00,0x00,0x80,0xBD,0x00,0x00,0x80,0x3D,0x00,0x00,0x80,0x3D,
	0x00,0x00,0x80,0x3D,0x38,0x98,0x74,0x23,0xBE,0x54,0x80,0x31,0xA6,0x1F,0xE3,0xB0,
	0x00,0x00,0x80,0x3D,0x02,0x00,0x00,0x00,0x38,0x01,0x00,0x00,0x9E,0xD8,0x09,0x30,
	0x9E,0xD8,0x89,0x30,0x00,0x00,0x80,0x3D,0x76,0x94,0xC4,0xB0,0xF4,0x04,0x35,0x3D,
	0xF3,0x04,0x35,0x3D,0xFF,0xFF,0xFF,0xBC,0xFF,0xFF,0xFF,0x3C,0xF3,0x04,0x35,0x3D,
	0xF3,0x04,0x35,0xBD,0x76,0x94,0x44,0xB1,0xF3,0x04,0x35,0x3D,0xFD,0xFF,0xFF,0xBC,
	0x00,0x00,0x00,0xBD,0xF3,0x04,0x35,0x3D,0xA8,0x5B,0xD8,0x31,0xF2,0x04,0x35,0xBD,
	0xF3,0x04,0x35,0x3D,0x01,0x00,0x00,0x3D,0xFD,0xFF,0xFF,0xBC,0xF3,0x04,0x35,0x3D,
	0xF3,0x04,0x35,0x3D,0x76,0xFB,0x15,0x32,0xF3,0x04,0x35,0x3D,0xFD,0xFF,0xFF,0x3C,
	0x03,0x00,0x00,0x3D,0xF3,0x04,0x35,0x3D,0x07,0x47,0x19,0xB1,0x00,0x00,0x80,0x3D,
	0xA4,0x1F,0x63,0xB1,0xF4,0x04,0x35,0xBD,0xF3,0x04,0x35,0x3D,0xA4,0x1F,0x63,0xB1,
	0x00,0x00,0x80,0xBD,0x07,0x47,0x99,0xB1,0xA4,0x1F,0x63,0xB1,0xF2,0x04,0x35,0xBD,
	0xF3,0x04,0x35,0xBD,0xA4,0x1F,0x63,0xB1,0x6D,0x6B,0x15,0x32,0xFF,0xFF,0x7F,0xBD,
	0xA4,0x1F,0x63,0xB1,0xF5,0x04,0x35,0x3D,0xF0,0x04,0x35,0xBD,0xA4,0x1F,0x63,0xB1,
	0x00,0x00,0x80,0x3D,0x42,0xF8,0x4C,0x32,0xA4,0x1F,0x63,0xB1,0xF1,0x04,0x35,0x3D,
	0xF7,0x04,0x35,0x3D,0xA4,0x1F,0x63,0xB1,0x76,0x94,0xC4,0xB0,0xF3,0x04,0x35,0x3D,
	0xF4,0x04,0x35,0xBD,0xFE,0xFF,0xFF,0xBC,0xFD,0xFF,0xFF,0x3C,0xF4,0x04,0x35,0xBD,
	0xF2,0x04,0x35,0xBD,0x76,0x94,0x44,0xB1,0xF4,0x04,0x35,0xBD,0xFB,0xFF,0xFF,0xBC,
	0xFF,0xFF,0xFF,0xBC,0xF4,0x04,0x35,0xBD,0xA6,0x5B,0xD8,0x31,0xF1,0x04,0x35,0xBD,
	0xF4,0x04,0x35,0xBD,0x00,0x00,0x00,0x3D,0xFC,0xFF,0xFF,0xBC,0xF4,0x04,0x35,0xBD,
	0xF2,0x04,0x35,0x3D,0x76,0xFB,0x15,0x32,0xF4,0x04,0x35,0xBD,0xFC,0xFF,0xFF,0x3C,
	0x02,0x00,0x00,0x3D,0xF4,0x04,0x35,0xBD,0x9E,0xD8,0x09,0x30,0x9E,0xD8,0x89,0x30,
	0x00,0x00,0x80,0xBD,0x03,0x00,0x00,0x00,0x38,0x01,0x00,0x00,0x7B,0xCF,0x9D,0xB2,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x98,0xE2,0xA4,0xBD,0x15,0xDE,0x40,0x3F,
	0xA3,0x12,0x27,0x3F,0xAC,0xF3,0x16,0xBF,0xA8,0x9B,0xF3,0x3E,0xA3,0x12,0x27,0x3F,
	0x15,0xDE,0x40,0xBF,0x93,0xE2,0xA4,0xBD,0xA4,0x12,0x27,0x3F,0xA7,0x9B,0xF3,0xBE,
	0xAD,0xF3,0x16,0xBF,0xA4,0x12,0x27,0x3F,0x96,0xE2,0xA4,0x3D,0x16,0xDE,0x40,0xBF,
	0xA4,0x12,0x27,0x3F,0xAD,0xF3,0x16,0x3F,0xA7,0x9B,0xF3,0xBE,0xA4,0x12,0x27,0x3F,
	0x15,0xDE,0x40,0x3F,0x98,0xE2,0xA4,0x3D,0xA4,0x12,0x27,0x3F,0xA6,0x9B,0xF3,0x3E,
	0xAD,0xF3,0x16,0x3F,0xA4,0x12,0x27,0x3F,0x38,0xE3,0x26,0xB4,0x00,0x00,0x80,0x3F,
	0x83,0xFB,0x87,0xB3,0xF4,0x04,0x35,0xBF,0xF3,0x04,0x35,0x3F,0x34,0x58,0x94,0xB3,
	0x00,0x00,0x80,0xBF,0x40,0x6E,0xB9,0xB3,0x4C,0x84,0x5E,0xB3,0xF2,0x04,0x35,0xBF,
	0xF5,0x04,0x35,0xBF,0x92,0x11,0x2D,0xB3,0xAA,0x3D,0xF7,0x33,0x00,0x00,0x80,0xBF,
	0x4C,0x84,0x5E,0xB3,0xF5,0x04,0x35,0x3F,0xF1,0x04,0x35,0xBF,0xE2,0xB4,0xA0,0xB3,
	0x00,0x00,0x80,0x3F,0xDC,0x29,0x0E,0x34,0x84,0xFB,0x87,0xB3,0xF1,0x04,0x35,0x3F,
	0xF5,0x04,0x35,0x3F,0x4C,0x84,0x5E,0xB3,0x73,0xE2,0xA4,0x3D,0x15,0xDE,0x40,0x3F,
	0xA4,0x12,0x27,0xBF,0xA9,0x9B,0xF3,0xBE,0xAA,0xF3,0x16,0x3F,0xA4,0x12,0x27,0xBF,
	0x14,0xDE,0x40,0xBF,0x81,0xE2,0xA4,0x3D,0xA4,0x12,0x27,0xBF,0xAA,0xF3,0x16,0xBF,
	0xAB,0x9B,0xF3,0xBE,0xA3,0x12,0x27,0xBF,0x7F,0xE2,0xA4,0xBD,0x15,0xDE,0x40,0xBF,
	0xA4,0x12,0x27,0xBF,0xAB,0x9B,0xF3,0x3E,0xAA,0xF3,0x16,0xBF,0xA4,0x12,0x27,0xBF,
	0x15,0xDE,0x40,0x3F,0x7E,0xE2,0xA4,0xBD,0xA5,0x12,0x27,0xBF,0xAA,0xF3,0x16,0x3F,
	0xA9,0x9B,0xF3,0x3E,0xA5,0x12,0x27,0xBF,0xFA,0x69,0x52,0xB2,0xA6,0x46,0x0C,0xB2,
	0x00,0x00,0x80,0xBF,0x20,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x12,0x00,0x00,0x00,
	0x09,0x00,0x00,0x00,0x11,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0xFE,0xB6,0xBE,
	0x23,0xE4,0x5C,0x3F,0x04,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x11,0x00,0x00,0x00,
	0x09,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0xFD,0xB6,0x3E,
	0x27,0xE4,0x5C,0x3F,0x05,0xFE,0xB6,0xBE,0x27,0xE4,0x5C,0x3D,0x11,0x00,0x00,0x00,
	0x10,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0xB6,0x3E,
	0x25,0xE4,0x5C,0x3F,0x08,0xFE,0xB6,0xBE,0x26,0xE4,0x5C,0x3D,0x18,0x00,0x00,0x00,
	0x10,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0x3F,
	0x09,0xFE,0xB6,0x3E,0x07,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x18,0x00,0x00,0x00,
	0x0F,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0x3F,
	0x06,0xFE,0xB6,0x3E,0x08,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x17,0x00,0x00,0x00,
	0x0F,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x26,0xE4,0x5C,0x3F,
	0x01,0xFE,0xB6,0xBE,0x08,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x17,0x00,0x00,0x00,
	0x0E,0x00,0x00,0x00,0x16,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x26,0xE4,0x5C,0x3F,
	0x01,0xFE,0xB6,0xBE,0x07,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x16,0x00,0x00,0x00,
	0x0E,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0A,0xFE,0xB6,0x3E,
	0x24,0xE4,0x5C,0xBF,0x06,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x16,0x00,0x00,0x00,
	0x0D,0x00,0x00,0x00,0x15,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0xFE,0xB6,0x3E,
	0x24,0xE4,0x5C,0xBF,0x07,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x15,0x00,0x00,0x00,
	0x0D,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0xFE,0xB6,0xBE,
	0x25,0xE4,0x5C,0xBF,0x08,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x15,0x00,0x00,0x00,
	0x0C,0x00,0x00,0x00,0x14,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0xB6,0xBE,
	0x26,0xE4,0x5C,0xBF,0x05,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x14,0x00,0x00,0x00,
	0x0C,0x00,0x00,0x00,0x0B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0xBF,
	0x07,0xFE,0xB6,0xBE,0x06,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x14,0x00,0x00,0x00,
	0x0B,0x00,0x00,0x00,0x13,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x23,0xE4,0x5C,0xBF,
	0x08,0xFE,0xB6,0xBE,0x07,0xFE,0xB6,0xBE,0x24,0xE4,0x5C,0x3D,0x13,0x00,0x00,0x00,
	0x0B,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x25,0xE4,0x5C,0xBF,
	0x02,0xFE,0xB6,0x3E,0x08,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x13,0x00,0x00,0x00,
	0x0A,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0xBF,
	0x04,0xFE,0xB6,0x3E,0x0A,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x12,0x00,0x00,0x00,
	0x0A,0x00,0x00,0x00,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x05,0xFE,0xB6,0xBE,
	0x24,0xE4,0x5C,0x3F,0x0A,0xFE,0xB6,0xBE,0x25,0xE4,0x5C,0x3D,0x0B,0x00,0x00,0x00,
	0x02,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x26,0xE4,0x5C,0xBF,
	0x01,0xFE,0xB6,0x3E,0x07,0xFE,0xB6,0x3E,0x25,0xE4,0x5C,0x3D,0x0A,0x00,0x00,0x00,
	0x02,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x09,0xFE,0xB6,0xBE,
	0x24,0xE4,0x5C,0x3F,0x06,0xFE,0xB6,0x3E,0x26,0xE4,0x5C,0x3D,0x0A,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0x09,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0xFE,0xB6,0xBE,
	0x26,0xE4,0x5C,0x3F,0x02,0xFE,0xB6,0x3E,0x26,0xE4,0x5C,0x3D,0x09,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFD,0xB6,0x3E,
	0x27,0xE4,0x5C,0x3F,0x03,0xFE,0xB6,0x3E,0x26,0xE4,0x5C,0x3D,0x09,0x00,0x00,0x00,
	0x08,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFD,0xFD,0xB6,0x3E,
	0x26,0xE4,0x5C,0x3F,0x03,0xFE,0xB6,0x3E,0x25,0xE4,0x5C,0x3D,0x10,0x00,0x00,0x00,
	0x08,0x00,0x00,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0x3F,
	0x07,0xFE,0xB6,0x3E,0x03,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x10,0x00,0x00,0x00,
	0x07,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0x3F,
	0x08,0xFE,0xB6,0x3E,0x04,0xFE,0xB6,0x3E,0x25,0xE4,0x5C,0x3D,0x0F,0x00,0x00,0x00,
	0x07,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x26,0xE4,0x5C,0x3F,
	0x00,0xFE,0xB6,0xBE,0x04,0xFE,0xB6,0x3E,0x25,0xE4,0x5C,0x3D,0x0F,0x00,0x00,0x00,
	0x06,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x26,0xE4,0x5C,0x3F,
	0x00,0xFE,0xB6,0xBE,0x03,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0E,0x00,0x00,0x00,
	0x06,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFE,0xB6,0x3E,
	0x26,0xE4,0x5C,0xBF,0x01,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0E,0x00,0x00,0x00,
	0x05,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0A,0xFE,0xB6,0x3E,
	0x24,0xE4,0x5C,0xBF,0x03,0xFE,0xB6,0x3E,0x23,0xE4,0x5C,0x3D,0x0D,0x00,0x00,0x00,
	0x05,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFE,0xB6,0xBE,
	0x26,0xE4,0x5C,0xBF,0x04,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0D,0x00,0x00,0x00,
	0x04,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0xFE,0xB6,0xBE,
	0x26,0xE4,0x5C,0xBF,0x03,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0C,0x00,0x00,0x00,
	0x04,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0xBF,
	0x09,0xFE,0xB6,0xBE,0x04,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0C,0x00,0x00,0x00,
	0x03,0x00,0x00,0x00,0x0B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x24,0xE4,0x5C,0xBF,
	0x08,0xFE,0xB6,0xBE,0x04,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x0B,0x00,0x00,0x00,
	0x03,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x25,0xE4,0x5C,0xBF,
	0x05,0xFE,0xB6,0x3E,0x02,0xFE,0xB6,0x3E,0x24,0xE4,0x5C,0x3D,0x04,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x90,0x84,0xC1,0xBE,
	0xC4,0x50,0x20,0xBE,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x03,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x90,0x84,0xC1,0xBE,
	0xC0,0x50,0x20,0x3E,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x04,0x00,0x00,0x00,
	0x05,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBD,0x50,0x20,0xBE,
	0x92,0x84,0xC1,0xBE,0xBE,0x98,0x69,0x3F,0xBE,0x98,0x69,0x3D,0x00,0x00,0x00,0x00,
	0x05,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0x50,0x20,0x3E,
	0x90,0x84,0xC1,0xBE,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x00,0x00,0x00,0x00,
	0x06,0x00,0x00,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x90,0x84,0xC1,0x3E,
	0xBA,0x50,0x20,0xBE,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x07,0x00,0x00,0x00,
	0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8F,0x84,0xC1,0x3E,
	0xC1,0x50,0x20,0x3E,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x00,0x00,0x00,0x00,
	0x08,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xB9,0x50,0x20,0x3E,
	0x90,0x84,0xC1,0x3E,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x00,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC4,0x50,0x20,0xBE,
	0x8F,0x84,0xC1,0x3E,0xBF,0x98,0x69,0x3F,0xBF,0x98,0x69,0x3D,0x13,0x00,0x00,0x00,
	0x19,0x00,0x00,0x00,0x14,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8E,0x84,0xC1,0xBE,
	0xC2,0x50,0x20,0xBE,0xBE,0x98,0x69,0xBF,0xBE,0x98,0x69,0x3D,0x14,0x00,0x00,0x00,
	0x19,0x00,0x00,0x00,0x15,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xB9,0x50,0x20,0xBE,
	0x90,0x84,0xC1,0xBE,0xBE,0x98,0x69,0xBF,0xBE,0x98,0x69,0x3D,0x15,0x00,0x00,0x00,
	0x19,0x00,0x00,0x00,0x16,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBE,0x50,0x20,0x3E,
	0x8F,0x84,0xC1,0xBE,0xBE,0x98,0x69,0xBF,0xBE,0x98,0x69,0x3D,0x16,0x00,0x00,0x00,
	0x19,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x90,0x84,0xC1,0x3E,
	0xBA,0x50,0x20,0xBE,0xBF,0x98,0x69,0xBF,0xBF,0x98,0x69,0x3D,0x13,0x00,0x00,0x00,
	0x12,0x00,0x00,0x00,0x19,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8F,0x84,0xC1,0xBE,
	0xBE,0x50,0x20,0x3E,0xBE,0x98,0x69,0xBF,0xBE,0x98,0x69,0x3D,0x19,0x00,0x00,0x00,
	0x12,0x00,0x00,0x00,0x11,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC4,0x50,0x20,0xBE,
	0x8D,0x84,0xC1,0x3E,0xBE,0x98,0x69,0xBF,0xBE,0x98,0x69,0x3D,0x19,0x00,0x00,0x00,
	0x11,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xB8,0x50,0x20,0x3E,
	0x8E,0x84,0xC1,0x3E,0xC0,0x98,0x69,0xBF,0xC0,0x98,0x69,0x3D,0x19,0x00,0x00,0x00,
	0x18,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8D,0x84,0xC1,0x3E,
	0xBF,0x50,0x20,0x3E,0xBF,0x98,0x69,0xBF,0xBF,0x98,0x69,0x3D,0x22,0x00,0x00,0x00,
	0x68,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x03,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x06,0x00,0x00,0x00,
	0x07,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x09,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,
	0x0B,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,
	0x0F,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x11,0x00,0x00,0x00,0x12,0x00,0x00,0x00,
	0x13,0x00,0x00,0x00,0x14,0x00,0x00,0x00,0x15,0x00,0x00,0x00,0x16,0x00,0x00,0x00,
	0x17,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x19,0x00,0x00,0x00,0x28,0x00,0x00,0x00,
	0x10,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x2A,0x00,0x00,0x00,0x42,0x00,0x00,0x00,0x2B,0x00,0x00,0x00,
	0x3A,0x00,0x00,0x00,0x2C,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,0x57,0x69,0x72,0x65,
	0x43,0x6F,0x6C,0x6F,0x72,0x00,0x2D,0x00,0x00,0x00,0x20,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0xFF,0x00,0xE0,0x56,0x56,0x09,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x29,0x00,
	0x00,0x00,0x10,0x00,0x00,0x00,0x03,0x01,0x00,0x00,0x00,0x01,0x00,0x01,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x00,0x88,0x00,0x00,0x00,0x39,0x00,
	0x00,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3A,0x00,0x00,0x00,0x04,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x3B,0x00,0x00,0x00,0x68,0x00,0x00,0x00,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0x00,
	0x00,0xFF,0xFF,0x00,0x00,0xFF
};
#endif