/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/***********************************************************************************************
 ***              C O N F I D E N T I A L  ---  W E S T W O O D  S T U D I O S               ***
 ***********************************************************************************************
 *                                                                                             *
 *                 Project Name : WWPhys                                                       *
 *                                                                                             *
 *                     $Archive:: /Commando/Code/wwphys/bin_vector.cpp                        $*
 *                                                                                             *
 *                       Author:: Greg Hjelstrom                                               *
 *                                                                                             *
 *                     $Modtime:: 7/29/99 11:26a                                              $*
 *                                                                                             *
 *                    $Revision:: 2                                                           $*
 *                                                                                             *
 *---------------------------------------------------------------------------------------------*
 * Functions:                                                                                  *
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */


#include "bin_vector.h"

#ifdef WWDEBUG
const unsigned char _VectorBinary[3469] = 
{
	0x00,0x01,0x00,0x00,0x80,0x01,0x00,0x00,0x01,0x01,0x00,0x00,0x24,0x00,0x00,0x00,
	0x01,0x00,0x04,0x00,0x56,0x45,0x43,0x54,0x4F,0x52,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x01,0x00,0x00,0xB4,0x00,0x00,0x00,0x52,0x4F,0x4F,0x54,
	0x54,0x52,0x41,0x4E,0x53,0x46,0x4F,0x52,0x4D,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
	0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,
	0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x3F,0x50,0x4F,0x49,0x4E,0x54,0x31,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,
	0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,
	0x00,0x00,0x80,0x3F,0x50,0x4F,0x49,0x4E,0x54,0x30,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,
	0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x3F,
	0x03,0x01,0x00,0x00,0x90,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xEB,0x0A,0x00,0x00,
	0x1F,0x00,0x00,0x00,0x74,0x00,0x00,0x00,0x01,0x00,0x04,0x00,0x00,0x00,0x02,0x00,
	0x56,0x45,0x43,0x54,0x4F,0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x56,0x45,0x43,0x54,0x4F,0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x20,0x00,0x00,0x00,0x24,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0xCC,0x5B,0xFF,0xBD,0xCC,0x45,0xFC,0xBD,0xAE,0x0E,0x7F,0xBF,
	0x1A,0x52,0x00,0x3E,0x1B,0xDD,0x01,0x3E,0x00,0x52,0x71,0x3B,0xA4,0xCE,0x22,0x39,
	0x73,0x68,0xDC,0x3A,0x6F,0x77,0xFD,0xBE,0x61,0x53,0x00,0x3F,0x02,0x00,0x00,0x00,
	0xB0,0x01,0x00,0x00,0x57,0xAE,0x67,0x36,0x84,0x8C,0xAA,0x3A,0x00,0x52,0x71,0x3B,
	0x06,0x13,0x68,0x36,0x30,0x21,0x52,0x3D,0x00,0x52,0x71,0x3B,0x2F,0xC9,0x4C,0xBD,
	0xA4,0x8C,0xAA,0x3A,0x00,0x52,0x71,0x3B,0x6B,0xD0,0x4C,0x3D,0x40,0x8C,0xAA,0x3A,
	0x00,0x52,0x71,0x3B,0x8E,0xFE,0x66,0x36,0x6A,0x78,0x47,0xBD,0x00,0x52,0x71,0x3B,
	0x2F,0xC9,0x4C,0xBD,0xA4,0x8C,0xAA,0x3A,0x00,0x52,0x71,0x3B,0xCF,0x6B,0x68,0x36,
	0x30,0x21,0x52,0x3D,0x18,0x92,0x50,0x3E,0x2E,0xC9,0x4C,0xBD,0xA4,0x8C,0xAA,0x3A,
	0x18,0x92,0x50,0x3E,0x06,0x13,0x68,0x36,0x30,0x21,0x52,0x3D,0x00,0x52,0x71,0x3B,
	0x6C,0xD0,0x4C,0x3D,0x40,0x8C,0xAA,0x3A,0x18,0x92,0x50,0x3E,0x6B,0xD0,0x4C,0x3D,
	0x40,0x8C,0xAA,0x3A,0x00,0x52,0x71,0x3B,0x4E,0x57,0x67,0x36,0x6A,0x78,0x47,0xBD,
	0x18,0x92,0x50,0x3E,0x8E,0xFE,0x66,0x36,0x6A,0x78,0x47,0xBD,0x00,0x52,0x71,0x3B,
	0x16,0x07,0x68,0x36,0x84,0x8C,0xAA,0x3A,0x18,0x92,0x50,0x3E,0x2E,0xC9,0x4C,0xBD,
	0xA4,0x8C,0xAA,0x3A,0x18,0x92,0x50,0x3E,0xCF,0x6B,0x68,0x36,0x30,0x21,0x52,0x3D,
	0x18,0x92,0x50,0x3E,0x6C,0xD0,0x4C,0x3D,0x40,0x8C,0xAA,0x3A,0x18,0x92,0x50,0x3E,
	0x4E,0x57,0x67,0x36,0x6A,0x78,0x47,0xBD,0x18,0x92,0x50,0x3E,0x73,0x34,0xA4,0x39,
	0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,0x73,0x34,0xA4,0x39,0x58,0x8D,0xEE,0x3A,
	0x00,0x52,0x71,0x3B,0x73,0x34,0xA4,0x39,0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,
	0x73,0x34,0xA4,0x39,0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,0x73,0x34,0xA4,0x39,
	0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,0x73,0x34,0xA4,0x39,0x58,0x8D,0xEE,0x3A,
	0x00,0x52,0x71,0x3B,0x92,0x33,0xA4,0x39,0xCC,0x45,0xFC,0xBD,0x14,0x92,0x50,0x3E,
	0xCC,0x5B,0xFF,0xBD,0xA3,0x8D,0xEE,0x3A,0x14,0x92,0x50,0x3E,0x73,0x34,0xA4,0x39,
	0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,0x1A,0x52,0x00,0x3E,0x61,0x8D,0xEE,0x3A,
	0x14,0x92,0x50,0x3E,0x73,0x34,0xA4,0x39,0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,
	0x33,0x33,0xA4,0x39,0x1B,0xDD,0x01,0x3E,0x14,0x92,0x50,0x3E,0x73,0x34,0xA4,0x39,
	0x58,0x8D,0xEE,0x3A,0x00,0x52,0x71,0x3B,0x64,0x03,0xA6,0x39,0xAE,0x3F,0x92,0xBB,
	0x14,0x92,0x50,0x3E,0xCC,0x5B,0xFF,0xBD,0xA3,0x8D,0xEE,0x3A,0x14,0x92,0x50,0x3E,
	0x92,0x33,0xA4,0x39,0xCC,0x45,0xFC,0xBD,0x14,0x92,0x50,0x3E,0x1A,0x52,0x00,0x3E,
	0x61,0x8D,0xEE,0x3A,0x14,0x92,0x50,0x3E,0x33,0x33,0xA4,0x39,0x1B,0xDD,0x01,0x3E,
	0x14,0x92,0x50,0x3E,0x03,0x00,0x00,0x00,0xB0,0x01,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0xE8,0xDC,0x72,0xBF,0xA1,0xE8,0xA1,0x3E,
	0xC2,0x62,0xCA,0xB1,0x96,0xE8,0xA1,0xBE,0xEA,0xDC,0x72,0x3F,0x6A,0x32,0x23,0xB1,
	0xE9,0xDC,0x72,0xBF,0x96,0xE8,0xA1,0xBE,0x20,0x5B,0xAB,0xB1,0x9F,0xE8,0xA1,0x3E,
	0xE8,0xDC,0x72,0x3F,0x5D,0xC1,0x1C,0x30,0xE9,0xDC,0x72,0x3F,0x98,0xE8,0xA1,0x3E,
	0x3C,0x62,0xAB,0x31,0xE8,0xDC,0x72,0x3F,0x9D,0xE8,0xA1,0xBE,0x12,0xCA,0x97,0x31,
	0x98,0xE8,0xA1,0x3E,0xE9,0xDC,0x72,0xBF,0x16,0x3D,0x78,0x30,0x9F,0xE8,0xA1,0xBE,
	0xE8,0xDC,0x72,0xBF,0x7E,0x53,0x0C,0xB1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x80,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x80,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x2E,0x92,0x25,0xBF,0x2B,0x92,0x25,0xBF,0xB9,0xF6,0xCE,0xBE,0x9A,0xD3,0xA7,0xB3,
	0x6B,0x16,0x59,0xBF,0x04,0xAE,0x07,0xBF,0x6B,0x16,0x59,0xBF,0x99,0xD3,0x27,0x33,
	0x03,0xAE,0x07,0xBF,0x2D,0x92,0x25,0x3F,0x2C,0x92,0x25,0xBF,0xB9,0xF6,0xCE,0xBE,
	0x6B,0x16,0x59,0x3F,0x99,0xD3,0x27,0x33,0x03,0xAE,0x07,0xBF,0x2C,0x92,0x25,0x3F,
	0x2C,0x92,0x25,0x3F,0xB7,0xF6,0xCE,0xBE,0x00,0x00,0x00,0x00,0x6B,0x16,0x59,0x3F,
	0x03,0xAE,0x07,0xBF,0x2C,0x92,0x25,0xBF,0x2C,0x92,0x25,0x3F,0xB9,0xF6,0xCE,0xBE,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x20,0x00,0x00,0x00,
	0x00,0x04,0x00,0x00,0x14,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x13,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x13,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x15,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x15,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x16,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x16,0x00,0x00,0x00,0x12,0x00,0x00,0x00,0x14,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x00,0x52,0x71,0x3B,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x00,0x52,0x71,0x3B,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x00,0x52,0x71,0x3B,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x3F,
	0x00,0x52,0x71,0x3B,0x07,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x06,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF1,0x04,0x35,0xBF,0xF6,0x04,0x35,0x3F,0x2F,0x46,0x62,0xB1,
	0xF8,0x92,0x14,0x3D,0x06,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x08,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF2,0x04,0x35,0xBF,0xF5,0x04,0x35,0x3F,0x2F,0x46,0xE2,0xB1,
	0xF9,0x92,0x14,0x3D,0x06,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x09,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF5,0x04,0x35,0x3F,0xF2,0x04,0x35,0x3F,0x95,0xF3,0x9C,0x31,
	0x17,0x98,0x14,0x3D,0x09,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF5,0x04,0x35,0x3F,0xF2,0x04,0x35,0x3F,0x33,0x46,0x62,0x31,
	0x17,0x98,0x14,0x3D,0x09,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,0x0B,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF2,0x04,0x35,0x3F,0xF4,0x04,0x35,0xBF,0x30,0x46,0x62,0x31,
	0x8D,0x0E,0x0D,0x3D,0x0B,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF2,0x04,0x35,0x3F,0xF4,0x04,0x35,0xBF,0x30,0x46,0x62,0x31,
	0x8D,0x0E,0x0D,0x3D,0x0B,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x07,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF5,0x04,0x35,0xBF,0xF2,0x04,0x35,0xBF,0xAE,0xE3,0x9C,0xB1,
	0x70,0x09,0x0D,0x3D,0x07,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x05,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF5,0x04,0x35,0xBF,0xF2,0x04,0x35,0xBF,0x34,0x46,0x62,0xB1,
	0x70,0x09,0x0D,0x3D,0x0F,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,
	0x7A,0xDB,0x4B,0x3F,0x0E,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x11,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,
	0x7A,0xDB,0x4B,0x3F,0x11,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x10,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0xBF,
	0x7A,0xDB,0x4B,0x3F,0x10,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,
	0x7A,0xDB,0x4B,0x3F,0x19,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x18,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x2E,0x92,0x25,0xBF,0x2B,0x92,0x25,0xBF,0xB9,0xF6,0xCE,0xBE,
	0xCA,0x7E,0xCD,0x3E,0x18,0x00,0x00,0x00,0x17,0x00,0x00,0x00,0x1A,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x1A,0x00,0x00,0x00,0x1B,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x2C,0x92,0x25,0x3F,0x2B,0x92,0x25,0xBF,0xB8,0xF6,0xCE,0xBE,
	0xE3,0xB3,0xCD,0x3E,0x1B,0x00,0x00,0x00,0x1A,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x1B,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,0x1D,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x2C,0x92,0x25,0x3F,0x2C,0x92,0x25,0x3F,0xB7,0xF6,0xCE,0xBE,
	0x75,0xE8,0xCE,0x3E,0x1D,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x1D,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x19,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x2C,0x92,0x25,0xBF,0x2C,0x92,0x25,0x3F,0xB9,0xF6,0xCE,0xBE,
	0x5D,0xB3,0xCE,0x3E,0x19,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x17,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x21,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x20,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x7B,0xDB,0x4B,0xBF,0x20,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x23,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x7B,0xDB,0x4B,0xBF,0x23,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x22,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x3F,
	0x7B,0xDB,0x4B,0xBF,0x22,0x00,0x00,0x00,0x1F,0x00,0x00,0x00,0x21,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x3F,
	0x7B,0xDB,0x4B,0xBF,0x0E,0x00,0x00,0x00,0x20,0x01,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x22,0x00,0x00,0x00,
	0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x02,0x00,0x00,0x00,
	0x03,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x05,0x00,0x00,0x00,0x06,0x00,0x00,0x00,
	0x07,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x09,0x00,0x00,0x00,0x0A,0x00,0x00,0x00,
	0x0B,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x0D,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,
	0x0F,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x11,0x00,0x00,0x00,0x12,0x00,0x00,0x00,
	0x13,0x00,0x00,0x00,0x14,0x00,0x00,0x00,0x15,0x00,0x00,0x00,0x16,0x00,0x00,0x00,
	0x17,0x00,0x00,0x00,0x18,0x00,0x00,0x00,0x19,0x00,0x00,0x00,0x1A,0x00,0x00,0x00,
	0x1B,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,0x1D,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,
	0x1F,0x00,0x00,0x00,0x20,0x00,0x00,0x00,0x21,0x00,0x00,0x00,0x22,0x00,0x00,0x00,
	0x23,0x00,0x00,0x00,0x28,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x01,0x00,0x00,0x00,
	0x01,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x2A,0x00,0x00,0x00,
	0x47,0x00,0x00,0x00,0x2B,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x2C,0x00,0x00,0x00,
	0x0F,0x00,0x00,0x00,0x56,0x65,0x63,0x74,0x6F,0x72,0x4D,0x61,0x74,0x65,0x72,0x69,
	0x61,0x6C,0x00,0x2D,0x00,0x00,0x00,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x80,0x3F,0x00,0x00,0x00,0x00,0x29,0x00,0x00,0x00,0x10,
	0x00,0x00,0x00,0x03,0x01,0x00,0x00,0x00,0x01,0x00,0x01,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x38,0x00,0x00,0x00,0xB0,0x00,0x00,0x00,0x39,0x00,0x00,0x00,0x04,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3A,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x3B,0x00,0x00,0x00,0x90,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xAE,0xAE,0xAE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xA1,0xA1,0xA1,0xFF,0xA1,0xA1,0xA1,0xFF,0xFF,0xFF,0xFF,0xFF,0xA1,
	0xA1,0xA1,0xFF,0xAE,0xAE,0xAE,0xFF,0xA1,0xA1,0xA1,0xFF,0xFF,0xFF,0xFF,0xFF,0x94,
	0x94,0x94,0xFF,0xA1,0xA1,0xA1,0xFF,0xA1,0xA1,0xA1,0xFF,0xA1,0xA1,0xA1,0xFF,0xA1,
	0xA1,0xA1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xA4,0xA4,0xA4,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x94,0x94,0x94,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xA4,0xA4,0xA4,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x03,0x00,0x00,0x0A,
	0x01,0x00,0x00,0x01,0x03,0x00,0x00,0x28,0x00,0x00,0x00,0x01,0x00,0x04,0x00,0x56,
	0x45,0x43,0x54,0x4F,0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x56,
	0x45,0x43,0x54,0x4F,0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,
	0x00,0x00,0x00,0x05,0x03,0x00,0x00,0xB8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x7A,0x48,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x04,0x03,0x00,0x00,0x12,0x00,0x00,0x00,0x56,0x45,0x43,0x54,0x4F,
	0x52,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
#endif