/*
**	Command & Conquer Renegade(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/***********************************************************************************************
 ***              C O N F I D E N T I A L  ---  W E S T W O O D  S T U D I O S               ***
 ***********************************************************************************************
 *                                                                                             *
 *                 Project Name : WWPhys                                                       *
 *                                                                                             *
 *                     $Archive:: /Commando/Code/wwphys/progcall.cpp                          $*
 *                                                                                             *
 *                       Author:: Greg Hjelstrom                                               *
 *                                                                                             *
 *                     $Modtime:: 2/24/99 10:04a                                              $*
 *                                                                                             *
 *                    $Revision:: 2                                                           $*
 *                                                                                             *
 *---------------------------------------------------------------------------------------------*
 * Functions:                                                                                  *
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */


#include "progcall.h"



ProgressCallbackClass::ProgressCallbackClass(void)
{
	Reset();
}

ProgressCallbackClass::~ProgressCallbackClass(void)
{
}

void ProgressCallbackClass::Reset(void)
{
	TotalCost = 0;
	Completed = 0;
}

void ProgressCallbackClass::Add_Cost(int amount)
{
	TotalCost += amount;
}

void ProgressCallbackClass::Notify_Completed(int amount)
{
	Completed += amount;
}

float ProgressCallbackClass::Percent_Done(void)
{
	if (TotalCost <= 0) return 1.0f;
	return 100.0f * (float)Completed / (float)TotalCost;
}

